:root {
  --back_ground_input: #cfcdc5;
  --back_ground_hover: #9696969a;
  --fineborderbutton: 1px solid #9c9999;
  --button_hover_min: #0202020d;
  --button_hover: #d6d3d3;
  --button_affter_hover: #8383830d;
  --fine_border_div: 1px solid #c9c4c4;
  --border3px_boton: 3px solid #c9c4c4;
  --background_color: #f0f2f5;
  --box_shadow: 0px 0px 10px -5px;
  --font-roboto: "Roboto", sans-serif;
  --border_radius_min: 5px;
  --red-doby: #ff2745;
  --svg_nav_color: var(--red-doby);
  --green_dark: #01292b;
  --doby_color: #1d1d1b;
  --svg_simples: #585858;
  --svg_simples2: #b0b3b8;
  --select_hover_color: #c5c5c5;
  --half_dark_background: #f0f0f063;
  --half_svg: #969696;
  --half_blue:#f1f7f6;
  --half_dark_background1: #e6e6e6;
  --half_dark_background2: #cac8c8;
  --active_blue: #3db7ff;
  --blue_black:#052c65;
  --half_active_blue: #bbe6ff;
  --select_font_size: 18px;
  --invalid_e_color: #c15b5b;
  --placeholder_color: #555353;
  --arrow-left: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsTAAALEwEAmpwYAAABXklEQVR4nO3Yv0rDUBgF8A8EKTrUUXwPddNJXfR99A3UgAFzzwkXh6iTZndysqP4DoIv4ORixUoxlVKiVohJyT0/+KYsOd/N/RczERERERERERERkYp47xeSJFmx0HjvuyQvSPZJDkg+AdizEMRxvETyoQj+VQDenHMb1mZRFC0C6E2GH2vCpbV5vpO8+y580YCetVGWZR2Stz+FLxqQWNvkeT4P4Oa38CSfW7cj5Hk+B+B6ipF/AbBpbQtP8mqKkR8Ua8Nh1QXgwDm33kgDAJxNGf5fC8A7gONaw5PcaTr4ZKVpulVbAwAkTQcu+RLi2hpA8rTpwCV1UlsDAGwHPQVmbREkeWSzvA3i835Q+TZIcj9N07Xaw48EfRAaCfooPBL0Zegv1+Hhcwv8h8i5BfI/8L6kAX0AqxYC7313ONoAXouRfyS5a6HJsqzjnFtu+j1ERERERERERERErPABQ0VvH1G1LMcAAAAASUVORK5CYII=");
  --arrow-left2: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFoAAABaCAYAAAA4qEECAAAACXBIWXMAAAsTAAALEwEAmpwYAAAA+klEQVR4nO3bMUpDURRF0TOCNJaBCw7FzjFYRRtxGHY6AR2CnUOKmUlEsLDQRvjvwX1rwa9z2RwSCPwEAAAAAAAAAIAkF0keklyrsZ3LJB9Jzt/P/YaftXTk04/IX8/77KNWiHxOcph9WCeV5PhL5KfZh3VSIovcQlmyyC2UJYvcQlmyyC2UJYvcQlmyyC2UJYvcQlny9vZ//Gn/OOCzl/Iq8hgvQo+x99Ux/8fweeANyyixxW6pLFvslsqyxW6pLFvslsqyxW6pLFvslsqyxW6pLHv+y0I3A29Yetlvs49a5YXO29kHdbZLcpfkavYhAAAAAAAAAAD5n08QDeFhqe/lwgAAAABJRU5ErkJggg==");
  --alf_gray: #e0e0e0;
  --fade: #f0f2f552;
  --min-size5: calc(1vmin + 0.4vmax);
  --min-size10: calc(10px+1vmin);
  --color-svg-button: #65707c;
  --contact-background: linear-gradient(-225deg, #E3FDF5 0%, #FFE6FA 100%);
  --border20 : 20px;
  --border10 : 10px;
  --border5 : 5px;
  --ooo-Bold: ooo-Bold;
  --ooo-SemiBold: ooo-SemiBold;
  --ooo-Medium: ooo-Medium;
  --ooo-Regular: ooo-Regular;
--carrousel-t-100 :20px 60px 20px;
--carrousel-t-80 :20px 55px 20px;
--carrousel-t-70 :20px 50px 20px;
--carrousel-t-60 :20px 45px 20px;
--carrousel-t-50 :20px 40px 20px;
--carrousel-t-40 :15px 35px 15px;
--carrousel-t-20 :15px 20px 15px;
--carrousel-t-10 :15px 15px 15px;

}
@font-face {
  font-family: 'ooo-SemiBold';
  src: url('fonts/ooo/Poppins-SemiBold.ttf') format('truetype');
}
@font-face {
  font-family: 'ooo-Bold';
  src: url('fonts/ooo/Poppins-Bold.ttf') format('truetype');
}
@font-face {
  font-family: 'ooo-Medium';
  src: url('fonts/ooo/Poppins-Medium.ttf') format('truetype');
}
@font-face {
  font-family: 'ooo-Regular';
  src: url('fonts/ooo/Poppins-Regular.ttf') format('truetype');
}
.t-ooo-bold{
  font-family: var(--ooo-Bold)!important;
}
.t-ooo-semi-bold{
  font-family: var(--ooo-Bold)!important;
}
.t-ooo-medium{
  font-family: var(--ooo-Medium)!important;
}
.t-ooo-regular{
  font-family: var(--ooo-Regular)!important;
}

/* padding$ */
.p-10 {
  padding: 10px !important;
}
.p-20 {
  padding: 20px !important;
}
.p-4-i {
  padding: 4px !important;
}

.p-5 {
  padding: 5px !important;
}

.p-block-5,.p-b-5 {
  padding-block: 5px;
}

.p-block-10 ,.p-b-10{
  padding-block: 10px;
}

.p-top-05rem {
  padding-top: 0.5rem;
}

.p-top-010rem {
  padding-top: 0.10rem;
}

.p-t-10 {
  padding-top: 10px;
}

.p-b-nav {
  padding-block: 0.5rem;
}

.p-l-10 {
  padding-inline: 10px;
}

.p-l-5 {
  padding-inline: 5px;
}
.p-b-5 {
  padding-block: 5px;
}

.p-left-10 {
  padding-left: 10px;
}

.p-left-20 {
  padding-left: 20px;
}

.p-left-30 {

  padding-left: 30px;
}

.p-left-40 {
  padding-left: 40px;
}

.i-block {
  display: inline-block !important;
}

.commun-opt {
  margin-block: 2px;
  padding: 5px;
  padding-block: 10px;
  display: flex;
}


.block-teste {
  width: 300px;
  height: 400px;
  background-color: #555353;
  border-radius: 20px;
  min-width: 300px;
  flex: 1;
}

.pack-block-inline {
  border-radius: 50px;
  background-color: var(--fade) !important;
}

.show-more-block {
  border: var(--fine_border_div);
  border-radius: 5pc;
  padding: 10px 20px;
  color: var(--green_dark);
}

.btn_slide_filter {
  rotate: 0deg;
  transition: rotate 0.5s;
}

.btn_slide_filter.active {
  i {
    display: none;
    transition: display 0.5s;
  }


  svg {
    rotate: -90deg;
    transition: rotate 0.5s;
  }
}

.btn_scroll {
  border-radius: 20px;
  position: absolute;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  z-index: 1;

  & label {
    display: flex;
    align-items: center;
    background-size: 30px;
    background-repeat: no-repeat;
    background-color: var(--half_dark_background1);
    box-shadow: var(--box_shadow);
    border: solid 1px (--fine_border_div);
    background-position: center;
    border-radius: 5px;
    padding: 10px;
    border-radius: 10pc;
    cursor: pointer;
  }
}

.not-visible {
  opacity: 0;
}

.not-visible:hover {
  opacity: 1;
}

.inline_scroll {
  overflow: auto;
  scrollbar-width: none;
  max-width: 100%;
  flex-wrap: nowrap;
  scroll-behavior: smooth;
}

.inline_scroll_swipe_root {
  position: relative;
  z-index: 1;

  & .inline_scroll_swipe {
    user-select: none;
    width: 100%;
    min-width: 100%;
    display: flex;
    flex-grow: 20;
    flex-wrap: nowrap;
    overflow: scroll;
    gap: 10px;
    scroll-behavior: smooth;
    scrollbar-width: none;
  }

  & .btn_scroll:first-child {
    transform: rotate(180deg);
  }
}

/*Formatação do Body*/
body {
  background-color: var(--background_color);
  position: relative;
  z-index: 1;
}

textarea.form-control {
  resize: none;
}

.submit {
  border: unset;
  border-radius: 4px;
  font-weight: 600;
  color: white;
  background-color: var(--bs-btn-bg);
}

main {
  position: relative;
  z-index: 0;
}

/*Formatção da Div principal*/
.principal_div {
  background-color: var(--background_color);

}

.div_last_mensagem_contacto_data {
  display: flex;
}

.last_mensage_number {
  margin-left: 5px;
  color: red;
  font-size: 10px;
}

.comun_btn {
  padding: 5px;
  font-weight: 600;
}

.comun_btn:hover {
  background-color: var(--button_hover);

}

.text-inline {
  text-wrap: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 100%;
  width: 100%;
}

.small_label {
  font-size: 11px;
}

/* Font$ */
.f_s_12 {
  font-size: 12px;
}

.f_s_14 {
  font-size: 14px;
}

.f_s_16 {
  font-size: 16px;
}

/* Font$ */
.f-weight-600 {
  font-weight: 600;
}

.f-weight-700 {
  font-weight: 700;
}

.f-weight-800 {
  font-weight: 800;
}

/* Font$ */
.small-10 {
  font-size: 10px;
}

.small-12 {
  font-size: 12px;
}

.mediun-14 {
  font-size: 12px;
}




.i-bord {
  border: solid 1px var(--svg_simples) !important;
  border-radius: 5px;
}

.explorer_center {
  border-inline: solid 1px var(--back_ground_input);
}

.not_found_favorit_list {
  background-image: none !important;

  img {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
  }

  justify-content: center;
  align-items: end;

}

.text_default_content {
  padding: 10px;
  padding-inline: 20px;
  border-radius: 5pc;
  width: fit-content;
  margin: auto;
}

.pack-404 {
  justify-content: center;
}


.img_preview_money_code {
  width: 40px;
  height: 40px;
  object-fit: scale-down;
}

.produto_completo {
  .img_preview_money_code {
    width: 30px;
    height: 25px;
  }
}

.fade_windows {
  position: fixed;
  z-index: 700000;
  left: 0;
  right: 0;
  top: 0;

  .w_span {
    width: 30%;
    min-width: 50px;
    height: 2px;
    margin-left: 0;
    background-color: var(--active_blue);
    animation: linear_spinner;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: cubic-bezier(1, 0, 0, 1);
    border-radius: 10px;
  }
}

.cover {
  position: fixed;
  inset: 0 0 0 0;
  background-color: #000000db;
  width: 100%;
  height: 100%;
  z-index: 2 !important;
}

body:has(.fade_windows) {
  background-color: var(--fade);
  main {
    opacity: 0.5;
    position: relative;
    z-index: -1;
  }
}

body:has(.cover:not(.cover[style*="none"])) {
  overflow: hidden;
  scrollbar-width: none;
}
.pack_pricy_money  .money_country[value=""]{
  background-image: unset !important;
}
.pack-label{
  position: relative !important;
}
.pack-label .spanlabel{
  user-select: none !important;
  display: none;
  position: absolute !important;
}
/* .pack-label:has(.content-l:focus) .spanlabel , */ .pack-label:has(.content-l:empty) .spanlabel {
  display: block; 
}
.visible-filter-root:has(.visible-filter:empty) .filter_action{
  display: none !important;
} 

.active_button {
  padding-inline: 20px !important;
  padding-block: 10px !important;
  border-radius: 5pc !important;
  color: white;
  justify-content: center;
  background-color: var(--active_blue) !important;

  svg,
  svg path {
    fill: white !important;
  }
}

.active_svg {
  fill: var(--svg_nav_color);
}

.b-radius-5 {
  border-radius: 5px;
}

/* Gap$ */
.gap_5 {
  gap: 5px;
}

.gap-10 {
  gap: 10px;
}

.gap-20 {
  gap: 20px;
}

/* Margin$ */
.m-l-10 {
  margin-inline: 10px;
}

.m-l-5 {
  margin-inline: 5px;
}

.m-unset {
  margin: unset !important;
}

.m-t-10 {
  margin-top: 10px;
}
.m-t-5{
margin-top: 5px;
}
.m-top-10,.m-t-10 {
  margin-top: 10px;
}
.m-b-10 {
  margin-bottom: 10px;
}
.m-b-20 {
  margin-bottom: 20px;
}
.m-b-15 {
  margin-bottom: 15px;
}
.m-right-10 {
  margin-right: 10px;
}

.m-right-5 {
  margin-right: 5px;
}

.m-left-10 {
  margin-left: 10px;
}

.label_pack {
  color: var(--doby_color);
}

/* position$ */
.inset-0 {
  inset: 0;
}

.pos-r {
  position: relative !important;
}

.pos-s {
  position: static !important;
}

.pos-a {
  position: absolute !important;
}

.pos-f {
  position: fixed !important;
}

.separator_top {
  border-top: var(--fine_border_div);
}
.z-i-1{
  z-index: 1;
}


/* CAROUSEL //////////////////// */
.round-5{
  border-radius: 5px;
}
.round-10{
  border-radius: 10px;
}
.round-15{
  border-radius: 15px;
}
.round-20{
  border-radius: 20px;
}
.carousel-txt-block-root {
  padding: 10%;
}

.carousel-txt-block {
  max-width: 50%;
}

.p-text-block {
  color: white;
}

.control.open {
  .arrow-drop {
    transition: rotate 0.5s;
    rotate: -90deg;
  }
}

.recipient {
  background-color: var(--half_dark_background1);
}

.control {
  .arrow-drop {
    transition: rotate 0.2s;
    rotate: 90deg;
  }
}

.wrap {
  flex-wrap: wrap;
}

.wrap-r {
  flex-wrap: wrap-reverse;
}

.nowrap {
  flex-wrap: nowrap;
}

/* SEPARATOR */
.separator-v {
  background-color: var(--half_dark_background2);
  padding: 0.5px;
}

.separator-t::after,
.separator-t::before {
  content: " ";
  flex: 1;
  display: block;
  padding: 0.5px;
  background: var(--half_dark_background2);
}


.new-round {
  width: 10px;
  height: 10px;
  border-radius: 5pc;
  background-color: var(--active_blue);
  position: absolute;
  right: 0;
  top: 0;
}

/* Text */
.text-center {
  text-align: center;
}

.text-start {
  text-align: start;
}


/* Text_box$*/
.dinamic_textbox[contenteditable="true"] {
  background-color: var(--alf_gray);
}

/* Border$ */
.b-radius-10 {
  border-radius: 10px;
}

/* Color$ */
.b-color-fff,.bg-white {
  background-color: white;
}

/* Dispaly$*/
.j-center {
  justify-content: center;
}

.a-center {
  align-items: center;
}

.a-end {
  align-items: end;
}

.j-between {
  justify-content: space-between;
}

.j-around {
  justify-content: space-around;
}
.d-flex-c-r {
 display: flex;
 flex-direction: column-reverse;
}
.d-flex-r-r {
  display: flex;
  flex-direction: row-reverse;
 }
.j-end {
  justify-content: flex-end;
  justify-content: end;
}

.flex-1 {
  flex: 1;
}

.flex-2 {
  flex: 2;
}

.flex-3 {
  flex: 3;
}

.d-flex-col {
  display: flex;
  flex-direction: column;
}

.d-flex-row {
  display: flex;
  flex-direction: row;
}



.float-right {
  float: right;
}

.float-left {
  float: left;
}

/* Imagem $ */
.obj-fit-cover {
  object-fit: cover;
}

.obj-pos-top {
  object-position: top;
}

.round-img {
  border-radius: 100%;
}

/* v-logo $ */
.v-doby:after {
  content: "oby";
  margin-left: -2px;
}

.v-doby {
  font-style: normal !important;
  font-weight: 700 !important;
}

.v-doby:before {
  content: "d";
  align-items: center;
  text-align: center;
  border-radius: 5pc;
  background-color: var(--red-doby);
  color: white;
  width: var(--font);
  height: var(--font);
  display: inline-flex;
  align-items: center;
  text-align: center;
  flex-direction: row;
  justify-content: center;

}
/* A-btn$ */
.a-btn{
  color: var(--bs-btn-color);
}
/* Width$ */
.w-100 {
  width: 100%;
}

.w-fit {
  width: fit-content;
}

.w-100px {
  width: 100px;
}
.w-200px {
  width: 200px;
}
.w-300px {
  width: 300px;
}

.max-w-100 {
  max-width: 100px !important;
}

.max-w-200 {
  max-width: 200px !important;
}

.max-w-300 {
  max-width: 300px !important;
}
.min-w-100 {
  min-width: 100px !important;
}

.min-w-200 {
  min-width: 200px !important;
}

.min-w-300 {
  min-width: 300px !important;
}
/* H */
.max-h-100 {
  max-height: 100px !important;
}

.max-h-200 {
  max-height: 200px !important;
}

.max-h-300 {
  max-height: 300px !important;
}
.min-h-100 {
  min-height: 100px !important;
}

.min-h-200 {
  min-height: 200px !important;
}

.min-h-300 {
  min-height: 300px !important;
}

.h-200px {
  height:200px;
}
.h-300px {
  height: 300px;
}
.h-100px {
  height: 100px;
}
.h-30px{
height: 30px !important;
}
.h-40px{
  height: 40px !important;
  }
  .h-37px{
    height: 37px !important;
    }
.h-20px{
  height:20px !important;
  }


.min-w-200 {
  min-width: 200px;
}



.min-w-300 {
  min-width: 300px;
}

.max-w {
  max-width: 100%;
  width: 100%;
  min-width: 100%;
}

.readonly{
  user-select: none;
}
.pointer{
  cursor: pointer;
}
.money_code_eur::after{
  content: " €";
}
.money_code_stn::after{
  content: " Dbs";
}

.drob-box{
  box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;}

  .dim.btn:hover ,  .dim.btn.active ,.home-nav-link-select.selected{
    color: #fff !important;
    background-color: var(--red-doby) !important;
    border-color: var(--red-doby) !important; 
  }
  .home-nav-link-select[data_name="cat"].selected img{
  filter: brightness(0) invert(1);
  }
